SplObjectStorage
SplObjectStorage::attach
SplObjectStorage
PHP Manual

# SplObjectStorage::addAll

Adds all objects from another storage

### Description

public void SplObjectStorage::addAll ( SplObjectStorage `$storage` )

Adds all objects-data pairs from a different storage in the current storage.

### Parameters

`storage`

  The storage you want to import.

### Return Values

No value is returned.

### Examples

Example #1 SplObjectStorage::addAll example

`<?php
$o = new StdClass;
$a = new SplObjectStorage();
$a[$o] = "hello";
$b = new SplObjectStorage();
$b->addAll($a);
echo $b[$o]."\n";
?>`

The above example will output something similar to:

    hello

### See Also

- SplObjectStorage::removeAll